> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# List renewals

GET https://integrators.prod.api.tabsplatform.com/v3/renewals

Reference: https://docs.tabs.com/api-reference/renewals/getRenewals

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `page` (double, required, default: 1) — Page Number
- `limit` (double, required, default: 50) — Number of items to return
- `filter` (string, optional) — Format: field:rule:value — comma-separated for multiple filters. Fields: contractId (uuid): eq, neq, in, nin, isnull, isnotnull type (string): eq, neq, like, nlike, in, nin, isnull, isnotnull status (string): eq, neq, like, nlike, in, nin, isnull, isnotnull contractEndDate (datetime): eq, neq, gt, gte, lt, lte Date-only values (YYYY-MM-DD) match the full UTC day. Example: filter=contractId:eq:00000000-0000-0000-0000-000000000001

## Response

### 200

Get all Renewals by filter

- `payload` (V3RenewalsGetResponsesContentApplicationJsonSchemaPayload, required) — Response payload, will be empty when success is false
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (IntegratorsApiError, optional) — json element with any error messages or warnings

## Types

### V3RenewalsGetResponsesContentApplicationJsonSchemaPayload

Response payload, will be empty when success is false

### IntegratorsApiError

- `code` (double, required) — API response code
- `message` (string, required) — API response message
- `errorCode` (string, optional) — Machine-readable error code
- `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error

### IntegratorsApiErrorDetails

Additional details about the error

## Examples

**Response**

```json
{
  "payload": {
    "data": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "contractId": "123e4567-e89b-12d3-a456-426614174000",
        "type": "AUTOMATIC",
        "status": "DRAFT",
        "noticePeriod": 30,
        "noticePeriodUnits": "DAY",
        "renewalLength": 12,
        "renewalLengthUnits": "MONTH",
        "maxNumberOfRenewals": 3,
        "sameConditions": true,
        "priceIncrease": 5.5,
        "priceIncreaseUnits": "PERCENT",
        "recurringPeriod": 12,
        "recurringPeriodUnits": "MONTH",
        "escalatorConditions": "Based on CPI",
        "renewalCriteria": "Performance metrics",
        "renewalCriteriaDetails": "Must meet 95% SLA",
        "termEndDate": "2024-12-31",
        "escalatorClauseSummary": "Annual increase",
        "summary": "Automatic renewal with 30 day notice",
        "quotes": "string",
        "draftContractId": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "limit": 1.1,
    "totalItems": 1.1,
    "currentPage": 1.1
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "errorCode": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/renewals"

querystring = {"page":"1","limit":"50"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/renewals?page=1&limit=50';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/renewals?page=1&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/renewals?page=1&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/renewals?page=1&limit=50")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/renewals?page=1&limit=50', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/renewals?page=1&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/renewals?page=1&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```